%define module_version 0.003
%define module_name MooseX-InlineTypes
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/ErsatzMethod.pm) perl(MooseX/Types/Moose.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(Types/TypeTiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1.1
Summary: declare type constraints and coercions inline with coderefs
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/MooseX-InlineTypes

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module provides an attribute trait that allows you to declare the Moose manpage
type constraints and coercions inline using coderefs, a bit like the Moo manpage,
but not quite.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README COPYRIGHT
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1.1
- rebuild to restore role requires

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

